@echo off
title CEM Evidence Mailer

setlocal
set WILYHOME="%~dp0"
REM Make sure to edit JAVAHOME to match your environment and that you're using Java 7
set JAVAHOME="C:\Program Files\Java\jre7\bin"
REM Set value of POSTGRES_DRIVER to "-Djdbc.drivers=org.postgresql.Driver" if you are using PostgreSQL as your APM DB
set POSTGRES_DRIVER=-Djdbc.drivers=org.postgresql.Driver
set JAVA_OPTS=-Dlog4j.configuration=.\\config\\log4j.properties -DdbProps=.\\config\\jdbc.properties -DmailProps=.\\config\\mailer.properties %POSTGRES_DRIVER% -Xmx128m
set TEST_METRIC="[SuperDomain|testserver.company.com|CEM|TESS Agent|Business Service|labtest|Business Transactions|testapp|Slow Time:Defects Per Interval]"
REM You can substitute passed in value %1 with TEST_METRIC for testing purposes as you can retrieve data from your APM DB
set METRICSTRING=%1
cd "%WILYHOME%"
%JAVAHOME%\java %JAVA_OPTS% -jar CEMEvidenceMailer.jar %METRICSTRING% 
endlocal
exit